--- old/usr/src/test/crypto-tests/tests/common/cryptotest_kcf.c	Fri Jul  6 19:37:57 2018
+++ new/usr/src/test/crypto-tests/tests/common/cryptotest_kcf.c	Fri Jul  6 19:37:57 2018
@@ -11,6 +11,7 @@
 
 /*
  * Copyright 2015 Nexenta Systems, Inc.  All rights reserved.
+ * Copyright 2018, Joyent, Inc.
  */
 
 #include <fcntl.h>
@@ -134,7 +135,6 @@
 	    (uint_t *)&get_number, "get_mech_info") != CRYPTO_SUCCESS) {
 		(void) fprintf(stderr, "failed to resolve mechanism name %s\n",
 		    op->mechname);
-		(void) cryptotest_close(op);
 		return (CTEST_NAME_RESOLVE_FAILED);
 	}
 	op->mech = get_number.pn_internal_number;
@@ -158,7 +158,6 @@
 		(void) fprintf(stderr,
 		    "could not find provider for mechanism %llu\n",
 		    mech.mech_type);
-		(void) cryptotest_close(op);
 		return (CTEST_MECH_NO_PROVIDER);
 	}
 
--- old/usr/src/test/crypto-tests/tests/common/cryptotest_pkcs.c	Fri Jul  6 19:37:57 2018
+++ new/usr/src/test/crypto-tests/tests/common/cryptotest_pkcs.c	Fri Jul  6 19:37:57 2018
@@ -102,7 +102,6 @@
 		cryptotest_error("get_mech_info", rv);
 		(void) fprintf(stderr, "failed to resolve mechanism name %s\n",
 		    op->mechname);
-		(void) cryptotest_close(op);
 		return (CTEST_NAME_RESOLVE_FAILED);
 	}
 	return (rv);
@@ -119,7 +118,6 @@
 		(void) fprintf(stderr,
 		    "could not find provider for mechanism %lu\n",
 		    op->mech);
-		(void) cryptotest_close(op);
 		return (CTEST_MECH_NO_PROVIDER);
 	}
 	return (rv);
